
type unop = UOnot
type binop_a = BOplus | BOminus | BOtimes | BOdiv | BOmod
type binop_r = BOeq | BOne | BOlt | BOle | BOgt | BOge
type binop_l = BOand | BOor
type binop = Barithop of binop_a | Brelop of binop_r | Blogicop of binop_l

let pretty_unop op =
  match op with
    UOnot -> "!"

let pretty_binop op =
  match op with
      Barithop BOplus -> "+"
    | Barithop BOminus -> "-"
    | Barithop BOtimes -> "*"
    | Barithop BOdiv -> "/"
    | Barithop BOmod -> "%"
    | Brelop BOeq -> "=="
    | Brelop BOne -> "!="
    | Brelop BOlt -> "<"
    | Brelop BOle -> "<="
    | Brelop BOgt -> ">"
    | Brelop BOge -> ">="
    | Blogicop BOand -> "&"
    | Blogicop BOor -> "|"

